The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request POST \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"visibility": "private",
"jurisdiction": "default",
"key_name": "<string>",
"key_permission": "read_write",
"allowed_origins": [
"<string>"
],
"cors_settings": {
"allowed_origins": [
"<string>"
],
"allowed_methods": [
"GET"
],
"allowed_headers": [
"<string>"
],
"expose_headers": [
"<string>"
],
"max_age_seconds": 2
}
}
'{
"data": {
"id": "<string>",
"type": "filesystems",
"attributes": {
"name": "<string>",
"type": "cloudflare_r2",
"status": "creating",
"visibility": "private",
"jurisdiction": "default",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"type": "filesystemKeys",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "filesystemKeys",
"attributes": {
"name": "<string>",
"permission": "read_write",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"type": "filesystems",
"id": "<string>"
}
}
}
}
]
}Create a new object storage bucket with an initial key.
curl --request POST \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"visibility": "private",
"jurisdiction": "default",
"key_name": "<string>",
"key_permission": "read_write",
"allowed_origins": [
"<string>"
],
"cors_settings": {
"allowed_origins": [
"<string>"
],
"allowed_methods": [
"GET"
],
"allowed_headers": [
"<string>"
],
"expose_headers": [
"<string>"
],
"max_age_seconds": 2
}
}
'{
"data": {
"id": "<string>",
"type": "filesystems",
"attributes": {
"name": "<string>",
"type": "cloudflare_r2",
"status": "creating",
"visibility": "private",
"jurisdiction": "default",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"type": "filesystemKeys",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "filesystemKeys",
"attributes": {
"name": "<string>",
"permission": "read_write",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"type": "filesystems",
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
3 - 40^[a-z0-9_-]+$private, public default, eu 3 - 40read_write, read_only This field is deprecated and will be removed May 17th, 2026. Please use cors_settings.allowed_origins instead.
Show child attributes
Was this page helpful?